Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.custom.date
Class HtmlInputDate.UserData

    java.lang.Object
      org.apache.myfaces.custom.date.HtmlInputDate.UserData

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  HtmlInputDate

public static class HtmlInputDate.UserData
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`HtmlInputDate.UserData(java.util.Date date, java.util.Locale currentLocale, java.lang.String _timeZone)`

Method Summary
`java.lang.String` | `getDay()`
`java.lang.String` | `getHours()`
`java.lang.String` | `getMinutes()`
`java.lang.String` | `getMonth()`
`java.lang.String` | `getSeconds()`
`java.lang.String` | `getYear()`
`java.util.Date` | `parse()`
`void` | `setDay(java.lang.String day)`
`void` | `setHours(java.lang.String hours)`
`void` | `setMinutes(java.lang.String minutes)`
`void` | `setMonth(java.lang.String month)`
`void` | `setSeconds(java.lang.String seconds)`
`void` | `setYear(java.lang.String year)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlInputDate.UserData

    public HtmlInputDate.UserData(java.util.Date date,
                                  java.util.Locale currentLocale,
                                  java.lang.String _timeZone)

Method Detail

### parse

    public java.util.Date parse()
                         throws java.text.ParseException

  Throws:
    `java.text.ParseException`

### getDay

    public java.lang.String getDay()

### setDay

    public void setDay(java.lang.String day)

### getMonth

    public java.lang.String getMonth()

### setMonth

    public void setMonth(java.lang.String month)

### getYear

    public java.lang.String getYear()

### setYear

    public void setYear(java.lang.String year)

### getHours

    public java.lang.String getHours()

### setHours

    public void setHours(java.lang.String hours)

### getMinutes

    public java.lang.String getMinutes()

### setMinutes

    public void setMinutes(java.lang.String minutes)

### getSeconds

    public java.lang.String getSeconds()

### setSeconds

    public void setSeconds(java.lang.String seconds)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD